Skip to main content
GET
/
api2
/
v1
/
machineTranslateSettings
/
thirdPartyEngines
List third party machine translate settings
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/thirdPartyEngines \
  --header 'Authorization: <api-key>'
{
  "totalElements": 123,
  "totalPages": 123,
  "pageSize": 123,
  "pageNumber": 123,
  "numberOfElements": 123,
  "content": [
    {
      "id": "<string>",
      "uid": "<string>",
      "baseName": "<string>",
      "name": "<string>",
      "type": "<string>",
      "default_": true,
      "includeTags": true,
      "mtQualityEstimation": true,
      "args": {},
      "payForMtPossible": true,
      "payForMtActive": true,
      "charCount": 123,
      "sharingSettings": 123,
      "langs": {
        "id": "<string>",
        "sourceLang": "<string>",
        "targetLangs": [
          "<string>"
        ]
      }
    }
  ],
  "sort": {
    "orders": [
      {
        "direction": "ASC",
        "property": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Query Parameters

name
string
includeDeprecated
boolean
default:false
pageNumber
integer<int32>
default:0

Page number, starting with 0, default 0

Required range: x >= 0
pageSize
integer<int32>
default:50

Page size, accepts values between 1 and 100, default 50

Required range: 1 <= x <= 100
sort
enum<string>
default:NAME

Sorting field

Available options:
NAME
order
string
default:asc

Response

successful operation

totalElements
integer<int32>
totalPages
integer<int32>
pageSize
integer<int32>
pageNumber
integer<int32>
numberOfElements
integer<int32>
content
object[]
sort
object